package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * Windplantproject对象 windplantproject
 *
 * @author hlf
 * @date 2021-08-02
 */
public class Windplantproject extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long wpNo;

    private Long projectNo;

    private String projectName;

    private String projectIssue;

    private Double projectCapacity;

    private Long analogNo;

    private Long bcrNo;

    private Date statSpeedTime;

    private Long monthBcrNo;

    private Long yearBcrNo;

    private Double area;

    private Long unitsNumber;

    private String windplantName;

    private String pvStationName;

    public void setWpNo(Long wpNo) {
        this.wpNo = wpNo;
    }

    public Long getWpNo() {
        return wpNo;
    }

    public void setProjectNo(Long projectNo) {
        this.projectNo = projectNo;
    }

    public Long getProjectNo() {
        return projectNo;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectName() {
        return projectName;
    }

    public String getProjectIssue() {
        return projectIssue;
    }

    public void setProjectIssue(String projectIssue) {
        this.projectIssue = projectIssue;
    }

    public void setProjectCapacity(Double projectCapacity) {
        this.projectCapacity = projectCapacity;
    }

    public Double getProjectCapacity() {
        return projectCapacity;
    }

    public void setAnalogNo(Long analogNo) {
        this.analogNo = analogNo;
    }

    public Long getAnalogNo() {
        return analogNo;
    }

    public void setBcrNo(Long bcrNo) {
        this.bcrNo = bcrNo;
    }

    public Long getBcrNo() {
        return bcrNo;
    }

    public void setStatSpeedTime(Date statSpeedTime) {
        this.statSpeedTime = statSpeedTime;
    }

    public Date getStatSpeedTime() {
        return statSpeedTime;
    }

    public void setMonthBcrNo(Long monthBcrNo) {
        this.monthBcrNo = monthBcrNo;
    }

    public Long getMonthBcrNo() {
        return monthBcrNo;
    }

    public void setYearBcrNo(Long yearBcrNo) {
        this.yearBcrNo = yearBcrNo;
    }

    public Long getYearBcrNo() {
        return yearBcrNo;
    }

    public void setArea(Double area) {
        this.area = area;
    }

    public Double getArea() {
        return area;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getPvStationName() {
        return pvStationName;
    }

    public void setPvStationName(String pvStationName) {
        this.pvStationName = pvStationName;
    }

    public Long getUnitsNumber() {
        return unitsNumber;
    }

    public void setUnitsNumber(Long unitsNumber) {
        this.unitsNumber = unitsNumber;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wpNo", getWpNo())
                .append("projectNo", getProjectNo())
                .append("projectName", getProjectName())
                .append("projectCapacity", getProjectCapacity())
                .append("analogNo", getAnalogNo())
                .append("bcrNo", getBcrNo())
                .toString();
    }
}
